New Growl works with Logitech

Today Growl released version 1.3.0 which has added a work around for Logitech Control Center 2.4. No need to Get your Growl back from Logitech any more!


No comments have been made, why not be the first?

Post Comment


Only registered users can post comments, please or below: